Yii Framework Forum: InvalidRepositoryException github.com/DmitryBaranovskiy/eve.git - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

InvalidRepositoryException github.com/DmitryBaranovskiy/eve.git Unable to install bower dependencies Rate Topic: -----

#1 User is offline   vladyvlady 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 14-October 16

Posted 09 September 2017 - 10:26 AM

Hi everyone! Are there people who got same error? Sorry I can't post direct links because it's my first message on the forum
[Composer\Repository\InvalidRepositoryException] No valid bower.json was found in any branch or tag of github.com/DmitryBaranovskiy/eve.git, could not load a package from it.

Got it when installing app, can't resolve the issue. That's true that there is no package provided by this link. Have no idea what happened. What I've tried since this happened install from docker/vagrant, wrote similar thing to `Dmitry Baranovskiy` the author of the lib an asked if he can set github redirect to github.com/adobe-webplatform/eve . Also to mention I've tried using asset-packagist.org or
fxp/composer-asset-plugin
results are the same. Also here is my composer.json github.com/vladyslavstartsev/linet3/blob/master/protected/composer.json . I can provide additional info if that can help.

Links

github.com/DmitryBaranovskiy/eve.git
asset-packagist.org
github.com/adobe-webplatform/eve
bower.io
github.com/vladyslavstartsev/linet3/blob/master/protected/composer.json
0

#2 User is offline   chandran 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 562
  • Joined: 08-October 12
  • Location:Austria

Posted 11 September 2017 - 05:42 AM

Hi,


This url seems not reachable.. thats why you got errorgithub.com/DmitryBaranovskiy/eve.git


Thanks
chandran nepolean

My own extension:
http://www.yiiframew...sion/ejqueryte/
http://www.yiiframew...uallistboxyii1/

My wiki
http://www.yiiframew...checkboxcolumn/

If it work dont hesitate to click +1 button
0

#3 User is offline   vladyvlady 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 14-October 16

Posted 11 September 2017 - 05:47 AM

View Postchandran, on 11 September 2017 - 05:42 AM, said:

Hi,


This url seems not reachable.. thats why you got errorgithub.com/DmitryBaranovskiy/eve.git




Yes, I think I've mentioned it. On other(russian) forum someone said it's because of bower-asset/adminlte, but the thing is I don't have it in my composer.json
0

#4 User is offline   szako 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 57
  • Joined: 17-May 10

Posted 14 September 2017 - 12:07 PM

View Postvladyvlady, on 11 September 2017 - 05:47 AM, said:

Yes, I think I've mentioned it. On other(russian) forum someobe said it's because of bower-asset/adminlte, but the thing is I don't have it in my composer.json


Did you manage to get a workaround? I tried installing Beaten-Sect0r/yii2-core and infoweb-internet-solutions/yii2-cms, both cannot be installed because the mentioned problem. I found this and this russian topic also, but cannot figure out the solution. I am not a composer ninja, yet ...
-------------
m(o_O)m
0

#5 User is offline   vladyvlady 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 14-October 16

Posted 16 September 2017 - 09:40 AM

View Postszako, on 14 September 2017 - 12:07 PM, said:

Did you manage to get a workaround?


Yes I did, in my situation it was
"mdmsoft/yii2-admin": "*"

I've just changed it to the commit when there was no angular dependency introduced
1

#6 User is offline   vladyvlady 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 14-October 16

Posted 16 September 2017 - 09:41 AM

The link to russian forum InvalidRepositoryException thread
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users